Skip to content

List alert types

Request

Lists alert types.

Security
oauth2_client_credentials or oauth2_authorization_code
Query
pageSizeinteger, (int32)(page_size)

Optional. The maximum number of alert types to return. The service may return fewer than this value. If unspecified, at most 10 alert types are returned. The maximum value is 100; values above 100 are coerced to 100.

pageTokenstring(page_token)

Optional. A page token received from a previous ListAlertTypes call. Provide this to retrieve the subsequent page.

skipinteger, (int32)(skip)

Optional. The number of alert types to skip before collecting results.

curl -i -X GET \
  https://docs.bndry.net/_mock/apis/openapi/v1alpha/alertTypes \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
alertTypesArray of objects(alert_types)

The alert types.

nextPageTokenstring(next_page_token)

A token to retrieve the next page, or empty if there are no more results. string.page_token = true // page_token must be at most 2048 characters

totalSizeinteger, (int32)(total_size)

The total number of alert types. int32.total_size = true // total_size must be non-negative

Response
{ "alertTypes": [ { … } ], "nextPageToken": "string", "totalSize": 0 }